// index/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showTopTips: false,
    isAgree: false,
    title: '',
    userid: 0,
    //instructions:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
   // this.userLogin()
    this.getInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  showTopTips: function () {
    var that = this;
    if (!that.data.isAgree) {
      wx.hideLoading()
      this.setData({
        showTopTips: true
      });
      setTimeout(function () {
        that.setData({
          showTopTips: false
        });
      }, 3000);
    } else {
      wx.showLoading({
        title: '加载中',
      })
      wx.request({
        url: 'https://t10.9026.com/api/home/agreeintroduction',
        data: {
          userid: that.data.userid
        },
        method: 'POST',
        success: function (res) {
          console.log(res.data)
        }
      })
      wx.navigateTo({
        url: 'info/info'
      })

    }
  },
  bindAgreeChange: function (e) {
    this.setData({
      isAgree: !!e.detail.value.length
    });
  },
  getInfo:function(){
    var that = this
    var WxParse = require('../wxParse/wxParse.js');
    wx.request({
      url: 'https://t10.9026.com/api/home/getintroduction',  //这里''里面填写你的服务器API接口的路径    
      data: {
      },  //这里是可以填写服务器需要的参数    
      method: 'GET', // 声明GET请求    
      // header: {}, // 设置请求的 header，GET请求可以不填    
      complete: function (res) {
        let test = JSON.stringify(res.data)
        let tet = JSON.parse(test)
        that.setData({
          title: tet.data.list[0].title
        })
        var article = tet.data.list[0].content
        WxParse.wxParse('article', 'html', article, that, 5)
        //callback(tet)
      }
    });
  },
  userLogin: function () {
    wx.showLoading({
      title: '登录中',
    })
    var that = this
    try {
      wx.login({
        success: function (res) {
          let code = res.code
          console.log(code)
          var c = getApp()
          c.userinfo.usercode = res.code
          wx.getUserInfo({
            success: function (res) {
              //let encrypted_data = res.encryptedData
              let tx = res.userInfo.avatarUrl
              let nn = res.userInfo.nickName
              wx.request({
                url: 'https://t10.9026.com/api/home/login',
                method: 'POST',
                data: {
                  code: code,
                  avatar: tx,
                  nickName: nn,
                },
                success: function (res) {
                  that.setData({
                    userid: res.data.data.userinfo.id
                  })
                  var app = getApp()
                  app.userinfo.userid = that.data.userid
                  console.log(getApp().userinfo.userid)
                  if (res.data.data.userinfo.has_agreed == 1) {
                    wx.navigateTo({
                      url: 'info/info'
                    })
                  } else {
                    that.showTopTips()
                  }
                }
              })
            }
          })
        }
      })
    } catch (e) { }
  },
})